Package org.apache.sysds.runtime.instructions.spark

## Class AppendGAlignedSPInstruction.ShiftColumnIndex

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.AppendGAlignedSPInstruction.ShiftColumnIndex

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​MatrixBlock>`

Enclosing class:
  AppendGAlignedSPInstruction

    public static class AppendGAlignedSPInstruction.ShiftColumnIndex
    extends Object
    implements org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ShiftColumnIndex​(long shiftBy, boolean cbind)`

### Method Summary

All Methods Instance Methods Concrete Methods
`scala.Tuple2<MatrixIndexes,​MatrixBlock>` `call​(scala.Tuple2<MatrixIndexes,​MatrixBlock> kv)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShiftColumnIndex

    public ShiftColumnIndex​(long shiftBy,
                            boolean cbind)

### Method Detail

#### call

    public scala.Tuple2<MatrixIndexes,​MatrixBlock> call​(scala.Tuple2<MatrixIndexes,​MatrixBlock> kv)
                                                       throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<scala.Tuple2<MatrixIndexes,​MatrixBlock>,​MatrixIndexes,​MatrixBlock>`
Throws:
  `Exception`